=== renamed file 'apport.spec' => 'apport.spec.fedora'
=== added file 'apport.spec.opensuse'
--- apport.spec.opensuse	1970-01-01 00:00:00 +0000
+++ apport.spec.opensuse	2008-05-30 20:48:31 +0000
@@ -0,0 +1,193 @@
+#
+# spec file for package apport
+#
+# Copyright (c) 2007-2008 Nikolay Derkach <nderkach@gmail.com>
+# This file and all modifications and additions to the pristine
+# package are under the same license as the package itself.
+#
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
+#
+
+# norootforbuild
+
+Name:    apport
+Version: 220508
+Release: 0
+License: GPL
+URL:     http://opensuse.org/Interactive_Crash_Analysis
+BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+BuildArchitectures: noarch
+BuildRequires: python-devel intltool texlive-latex
+# Need the ability to use pipes in /proc/sys/kernel/core_pattern
+Requires: kernel-default >= 2.6.24
+# FIXME there's probably scads more requires here, need to do some testing
+# on a minimal system
+Requires: rpm-python lsb
+# we use it temporarily until there will be an openSUSE backend
+Requires: yum
+Requires(post): /sbin/chkconfig
+Requires(preun): /sbin/chkconfig
+Requires(preun): /sbin/service
+Requires(postun): /sbin/service
+Source0: %{name}-%{version}.tar.bz2
+Patch0: apport-%{version}-opensuse.patch
+Group: System/Monitoring
+Summary: Automatic crash handler
+
+%description
+Apport automatically collects data from crashed processes and compiles a
+problem report in /var/crash/.
+
+This package also provides apport's python libraries and a command line
+frontend for browsing and handling the crash reports.
+
+See https://wiki.ubuntu.com/AutomatedProblemReports for more information.
+
+%package gtk
+Summary: GTK frontend for the apport crash report system
+Group: Applications/System
+Requires: pygtk2 pygtk2-libglade pyxdg procps
+%description gtk
+apport automatically collects data from crashed processes and compiles a
+problem report in /var/crash/. 
+
+This package provides a GTK frontend for browsing and handling the
+crash reports.
+
+%package qt
+Summary: Qt4 frontend for the apport crash report system
+Group: Applications/System
+Requires: PyQT pyxdg procps
+%description qt
+apport automatically collects data from crashed processes and compiles a
+problem report in /var/crash/.
+
+This package provides a Qt4 frontend for browsing and handling the
+crash reports.
+
+# Yes, this is kind of useless in Fedora right now. Alas.
+%package retrace
+Summary: tools for reprocessing Apport crash reports
+Group: Applications/System
+%description retrace
+apport-retrace recombines an Apport crash report (either a file or a
+Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
+stack traces.
+
+This package also ships apport-chroot. This tool can create and
+manage chroots for usage with apport-retrace. If the fakeroot and
+fakechroot libraries are available (either by installing the packages
+or by merely putting their libraries somewhere and setting two
+environment variables), the entire process of retracing crashes in
+chroots can happen with normal user privileges.
+
+%prep
+%setup -n apport
+%patch0 -p1 -b .opensuse
+
+%build
+python setup.py build
+make -C po
+make -C gtk
+make -C qt4
+make -C doc
+# set up the packaging backend
+# we use it temporarily until there will be an openSUSE backend
+cp backends/packaging_rpm.py backends/packaging_fedora.py apport
+ln -s packaging_fedora.py apport/packaging_impl.py
+
+%install
+rm -rf $RPM_BUILD_ROOT # clean up before we begin
+python setup.py install --root=$RPM_BUILD_ROOT \
+                        --install-scripts usr/share/apport \
+                        --prefix=/usr
+# We'll handle the docs in the %files section
+rm -rf $RPM_BUILD_ROOT/usr/share/doc/apport
+# Do the man pages
+install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1
+install -m644 man/apport-*.1 $RPM_BUILD_ROOT%{_mandir}/man1
+# cron job
+install -d -m755 $RPM_BUILD_ROOT/etc/cron.daily
+install -m755 debian/apport.cron.daily $RPM_BUILD_ROOT/etc/cron.daily/apport
+# create the dir for crash reports
+install -d -m1777 $RPM_BUILD_ROOT/var/crash
+# install initscript
+mkdir -p $RPM_BUILD_ROOT/etc/init.d
+install -m755 apport.init.opensuse $RPM_BUILD_ROOT/etc/init.d/apport
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%post
+# Add proper symlinks in /etc/init.d/rc*.d
+/sbin/chkconfig --add apport
+%preun
+# Really uninstalling? Stop the service and remove its links
+if [ "$1" == "0" ]; then
+    /sbin/service apport stop > /dev/null
+    /sbin/chkconfig --del apport
+fi
+%postun
+# Upgrading? Restart the service, if it's running
+if [ "$1" -ge "1" ]; then
+    /sbin/service apport condrestart > /dev/null || :
+fi
+
+%files
+%defattr(-,root,root)
+%dir /var/crash
+%doc %{_mandir}/man1/apport-unpack.1*
+%doc doc/*
+/usr/share/apport/*
+%_libdir/python*/site-packages/apport-0.0.0-py2.5.egg-info
+# This is the hook for catching python crashes
+%_libdir/python*/site-packages/apport_python_hook.py*
+# In Ubuntu these are in a separate 'python-apport' package
+%_libdir/python*/site-packages/apport/*
+# In Ubuntu this library is in 'python-problem-report' 
+%_libdir/python*/site-packages/problem_report*
+# /etc files
+/etc/cron.daily/apport
+/etc/init.d/apport
+# Not (noreplace) - generally users won't be modifying this file. Sorry devs,
+# I guess you'll just have to deal with it clobbering your config..
+%config /etc/apport/crashdb.conf
+/etc/apport/blacklist.d/README.blacklist
+/usr/share/icons/hicolor/scalable/apps/apport.svg
+/usr/share/locale/*
+/usr/share/man/man1/apport-chroot.1.gz
+/usr/share/man/man1/apport-cli.1.gz
+/usr/share/mime/packages/apport.xml
+
+
+%files gtk
+/usr/share/apport/apport-gtk*
+
+%files qt
+/usr/share/apport/apport-qt
+
+%files retrace
+%doc %{_mandir}/man1/apport-retrace.1*
+/usr/share/apport/apport-retrace
+/usr/share/apport/apport-chroot
+
+%changelog
+* Thu May 22 2008 - Nikolay Derkach <nderkach@gmail.com>
+- Added lsb to requirements
+
+* Thu May 22 2008 - Nikolay Derkach <nderkach@gmail.com>
+- Initial test package
+
+* Mon Jul 2 2007 - Will Woods <wwoods@redhat.com> - 0.87
+- Update to 0.87 from upstream
+
+* Thu Jun 28 2007 - Will Woods <wwoods@redhat.com> - 0.86
+- Update to 0.86 from upstream, and add fedora changes as a single patch
+- Fix packaging problems - actually install packaging implementation
+- change setup.py invocation to move scripts to /usr/share/apport
+- Add initscript for Fedora and derivatives, chkconfig --add/--del as needed
+- condrestart on upgrade
+- stub get_available_version() so reports work
+
+* Thu Jun 28 2007 - Will Woods <wwoods@redhat.com> - 0.85
+- Changelog begins. Updated to 0.85 from upstream.

